import React, {Component} from 'react'
import { Radio } from 'antd'

import avatar from '@/assets/img/avatar.jpg'
import MainLogo from '@/assets/img/main-logo.png'
import './index.scss'

class MobHeader extends Component {
  state = {
    avatar: sessionStorage.getItem('CloudAvatar') || avatar,
    userName: sessionStorage.getItem('CloudUserName'),
    typename: sessionStorage.getItem('typename')
  }

  changeView = (e) => {
    let val = e.target.value
    this.props.changeView(val)
  }

  render () {
    const { typename } = this.state
    return (
      <header className="mob-header-container">
        <div className="header-logo"><img src={MainLogo} alt=""/></div>
        {typename === 'pad' ? <div className="change-view">
          <Radio.Group defaultValue="vertical" onChange={this.changeView}>
            <Radio value="vertical">竖屏</Radio>
            <Radio value="horizontal">横屏</Radio>
          </Radio.Group>
        </div> : null}
        <div className="header-user">
          <img src={this.state.avatar} alt=""/>
          <span>
            <span className="username">{this.state.userName}</span>
          </span>
        </div>
      </header>
    )
  }
}

export default MobHeader